Bug 1028507 - firewall-cmd has incomplete exit codes section in man [NEEDINFO]
firewall-cmd has incomplete exit codes section in man
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
https://bugzilla.redhat.com/show_bug....
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 10:52 EST by Tomas Dolezal
Modified: 2014-06-17 23:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:41:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (twoerner)


Attachments (Terms of Use)

  None (edit)
Description Tomas Dolezal 2013-11-08 10:52:34 EST
Description of problem:
EXIT CODES table is incomplete. for example 'firewall-cmd' returns exit code 2 when run without arguments. Red message is shown
>usage: see firewall-cmd man page
>No option specified.

Version-Release number of selected component (if applicable):
firewalld-0.3.8-1.el7.noarch

How reproducible:
always

man:firewall-cmd(1)

Actual results:
man page lists exit codes begining from 11. doesn't mention color codes and incomplete list of exit codes

Expected results:
color and exit code documentation is up to date

Additional info:
Comment 1 Jiri Popelka 2013-11-11 08:37:44 EST
Thanks,

should be fixed upstream with
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=71184d95003a66420cf23f133111dcef93799421
Comment 3 Tomas Dolezal 2014-01-20 11:59:11 EST
VERIFIED firewalld-0.3.9-3.el7.noarch

exit code 2 is mentioned in manpage, however it is outside the attention-drawing table. Let's hope those looking for it will find it. Maybe defining its string would help it.
Comment 5 Ludek Smid 2014-06-13 06:41:34 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.